Bug 1003804 - [rhevm] Webadmin - Events - Search box with value "Events: Templates.os =anything" doesnt filter (Shows all events)
[rhevm] Webadmin - Events - Search box with value "Events: Templates.os =anyt...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Roy Golan
Pavel Novotny
virt
:
Depends On:
Blocks: 1019461 3.3snap3
  Show dependency treegraph
 
Reported: 2013-09-03 05:17 EDT by David Botzer
Modified: 2014-01-21 17:27 EST (History)
12 users (show)

See Also:
Fixed In Version: is25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anything.goes (132.51 KB, image/png)
2013-09-03 05:17 EDT, David Botzer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20396 None None None Never
oVirt gerrit 20743 None None None Never
oVirt gerrit 21204 None None None Never
oVirt gerrit 21256 None None None Never
oVirt gerrit 21661 None None None Never
oVirt gerrit 21707 None None None Never

  None (edit)
Description David Botzer 2013-09-03 05:17:36 EDT
Created attachment 793077 [details]
anything.goes

Description of problem:
[rhevm] Webadmin - Events - Search box with value
"Events: Templates.os =anything" doesnt filter the events (Shows all events)

Version-Release number of selected component (if applicable):
3.3/is12
rhevm-3.3.0-0.18.master.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1.Select Events Tab
2.In Search Box type - Events: Templates.os=anything

Actual results:
Search doesnt filter any messages/events

Expected results:
Should display only Templates.os=anything

Additional info:
pic
Comment 1 David Botzer 2013-09-10 06:41:12 EDT
This issue with .os: is general, not only Events:
Another example: 
Vms:os !=R* shows all (where some VMs have "Red hat" .... os name)
and Vms:os =R* shows None

nother example:
Doesnt work for Blank Template which its "Other OS" -- Vms: Templates.os =O*_
Comment 2 Omer Frenkel 2013-09-10 08:08:15 EDT
before latest changes os types (os repository), os search was not free text, but selecting from a list of supported values.
i guess this should be the behavior.
Comment 4 Pavel Novotny 2013-11-11 13:45:36 EST
FailedQA in rhevm-3.3.0-0.32.beta1.el6ev.noarch (is22).

The search engine now correctly filters events in the case a non-existing VM/template OS type is given (for example "Events: Templates.os=anything"), no events are shown.

However, I found inconsistency in searching VMs/templates/events according to OS type values offered by the auto-completer:
* query "Vms: os = rhel_5x64" returns only VMs with RHEL5 32b OS type, VMs with RHEL5x64 are ignored
* queries "Vms: os = windows_2008" and "Vms: os = windows_2008x64" return only VMs with OS "Windows 2008", VMs with OS "Windows 2008 x64" are ignored; the same for Windows 2003 and Windows 7 (but not Windows 8)
* VM with "Other OS" can be found via two different OS types in the query - "Vms: os = other" or "Vms: os = other_linux"
* "Linux" OS type is missing the opposite parameter in the search query (there is no "Vms: os = linux"; or maybe it should match to "other_linux"?)
Comment 5 Pavel Novotny 2013-11-20 12:01:24 EST
FailedQA in rhevm-3.3.0-0.35.beta1.el6ev.noarch (is24).

Defects in searching from comment 4 are fixed, however one search query still doesn't work. For VM OS type "Windows 2008 R2 x64" the query "Vms: os = windows_2008R2x64" returns nothing (the same applies for templates and events). 
Searching according to all other OS types works correctly.
Comment 6 Pavel Novotny 2013-11-27 12:43:54 EST
Verified in rhevm-3.3.0-0.37.beta1.el6ev.noarch (is25).

Searching VMs according their OS types works correctly. Verified with Linux, Other OS, RHEL, SUSE, Ubuntu and Windows VMs. Per comment 5 - searching a Windows 2008 R2 x64 VM works also well.
Comment 8 Itamar Heim 2014-01-21 17:23:15 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:24:21 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:27:59 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.